# Uses of Class
org.apache.commons.math3.util.IntegerSequence.Incrementor

Packages that use IntegerSequence.Incrementor
Package
Description
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.util
Convenience routines and common data structures used throughout the commons-math library.

## Uses of IntegerSequence.Incrementor in org.apache.commons.math3.ode

Methods in org.apache.commons.math3.ode that return IntegerSequence.Incrementor
Modifier and Type
Method
Description
`protected IntegerSequence.Incrementor`
AbstractIntegrator.`getCounter()`
Get the evaluations counter.
`protected IntegerSequence.Incrementor`
AbstractFieldIntegrator.`getEvaluationsCounter()`
Get the evaluations counter.

## Uses of IntegerSequence.Incrementor in org.apache.commons.math3.util

Methods in org.apache.commons.math3.util that return IntegerSequence.Incrementor
Modifier and Type
Method
Description
`static IntegerSequence.Incrementor`
IntegerSequence.Incrementor.`create()`
Factory method that creates a default instance.
`IntegerSequence.Incrementor`
IntegerSequence.Incrementor.`withCallback(IntegerSequence.Incrementor.MaxCountExceededCallback cb)`
Creates a new instance with a given callback.
`IntegerSequence.Incrementor`
IntegerSequence.Incrementor.`withIncrement(int step)`
Creates a new instance with a given increment.
`IntegerSequence.Incrementor`
IntegerSequence.Incrementor.`withMaximalCount(int max)`
Creates a new instance with a given maximal count.
`IntegerSequence.Incrementor`
IntegerSequence.Incrementor.`withStart(int start)`
Creates a new instance with a given initial value.
Methods in org.apache.commons.math3.util with parameters of type IntegerSequence.Incrementor
Modifier and Type
Method
Description
`static Incrementor`
Incrementor.`wrap(IntegerSequence.Incrementor incrementor)`
Deprecated.
Create an instance that delegates everything to a `IntegerSequence.Incrementor`.